# Generated from ruby-bugzilla-nomagick-0.6.4.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ruby-bugzilla-nomagick

Name: rubygem-%{gem_name}
Version: 0.6.4.3
Release: 1%{?dist}
Summary: Ruby binding for Bugzilla WebService APIs
License: LGPL-3.0+
URL: http://rubygems.org/gems/ruby-bugzilla-nomagick
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.3.6
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 2.0
# BuildRequires: rubygem(rspec) < 3
BuildArch: noarch

%description
This aims to provide similar features to access to Bugzilla through WebService
APIs in Ruby -- RMagcik stripped variant of ruby-bugzilla.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/bzconsole
%license %{gem_instdir}/COPYING
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Wed Sep 15 2021 mockbuilder - 0.6.4.3-1
- Initial package
